"use strict";
this.name = "armoury_fieldMissile.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Ship script for the field missile";
this.version = "1.00";

this.dropMines = function () {
	if (!this.ship.target || !this.ship.target.isValid) // if the missile doesn't have a proper target to spawn mines around
	{
		this.scatterMines();
		return;
	}

	this.mineCount = Math.ceil(Math.random() * 11) + 19; // 20-30 mines to be thrown around target position (250m radius).
	system.legacy_addShipsWithinRadius("armoury_fieldMine", this.mineCount, "abs", this.ship.target.position, 250);
}

this.scatterMines = function () {
	this.mineCount = Math.ceil(Math.random() * 11) + 19; // 20-30 mines to be thrown around missile position (250m radius).
	system.legacy_addShipsWithinRadius("armoury_fieldMine", this.mineCount, "abs", this.ship.position, 250);
}