"use strict";
this.name = "armoury_trackerBeacon.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Beacon script for tracker missile.";
this.version = "1.00";

this.shipSpawned = function () {
	if (!this.ship || !this.ship.target) {
		return;
	}
	this.callbackID = addFrameCallback(this.positionTag.bind(this));
}

this.positionTag = function () {
	if (!this.ship || !this.ship.isValid || !this.ship.target || !this.ship.target.isValid) {
		if (this.callbackID) {
			removeFrameCallback(this.callbackID);
		}
		delete this.callbackID;
		this.ship.remove();
		return;
	}

	this.ship.position = this.ship.target.position
};

this.shipDied = function (whom, why) { // in cases where the tag does manage to collide with the tracked entity, respawn the tag.
	if (why && why === "scrape damage" && whom && this.ship && this.ship.target && whom === this.ship.target) {
		var Tag = this.ship.spawnOne("armoury_trackerBeacon");
		Tag.target = this.ship.target;
	}
}