"use strict";
this.name = "armoury_wtfDecoy.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Ship script for the decoy";
this.version = "1.00";

this.shipSpawned = function () {
	function allShips(entity) {
		return entity.isShip && !entity.isRock && !entity.isCargo
	};
	let shipList = system.filteredEntities(this, allShips, this.ship, 25600);

	if (shipList.length === 0) {
		return;
	}

	var shipCounter = 0; // reset the counter
	for (shipCounter = 0; shipCounter < shipList.length; shipCounter++) {

		if (shipList[shipCounter].isPlayer) {
			continue;
		};

		if (shipList[shipCounter].isPolice) {
			shipList[shipCounter].target = this.ship;
			shipList[shipCounter].reactToAIMessage("ATTACKED");
			continue;
		}

		if (shipList[shipCounter].isTrader) {
			shipList[shipCounter].target = this.ship;
			shipList[shipCounter].reactToAIMessage("FLEE");
			continue;
		}

		if (shipList[shipCounter].isPirate && Math.random() > 0.5) {
			shipList[shipCounter].target = this.ship;
			shipList[shipCounter].reactToAIMessage("ATTACKED");
			continue;
		}
	}
}