"use strict";
this.name = "ams_activate.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Script for manual activation of the anti-missile system";
this.version = "1.00";

this.activated = function () {
	if (player.ship.equipmentStatus("EQ_AMS") !== "EQUIPMENT_OK") {
		missionVariables.amActive = "INACTIVE";
		return;
	}

	if (!worldScripts["ams_system"]) {
		player.consoleMessage("AMS script error.");
		log(this.name, "AMS script activation failed.");
		return;
	}

	if (missionVariables.amActive && missionVariables.amActive === "ACTIVE") {
		missionVariables.amActive = "INACTIVE";
		player.consoleMessage("Anti-Missile System deactivated.");
	} else {
		missionVariables.amActive = "ACTIVE";
		player.consoleMessage("Anti-Missile System activated.");
		worldScripts["ams_system"].$scanForMissiles();
	}
}