"use strict";
this.name        = "Armoury_Conditions";
this.author      = "phkb";
this.copyright   = "2023 phkb";
this.description = "Condition script for equipment.";
this.licence     = "CC BY-NC-SA 3.0";

this.allowAwardEquipment = function(equipment, ship, context) {
	if (context === "scripted") return true;
    switch (equipment) {
        case "EQ_ARMOURY_CUTPURSE_MISSILE":
            if (system.government < 2 && Math.random() < 0.5) return true;
            break;
        case "EQ_ARMOURY_INTERDICTOR_MINE":
            if (system.government < 2 && Math.random() < 0.25) return true;
            break;
        case "EQ_CT_MINE":
            if (missionVariables.CT_thargonCount == 0) return true;
            break;
        case "EQ_CT_DRONE_1":
            if (missionVariables.CT_thargonCount == 4) return true;
            break;
        case "EQ_CT_DRONE_2":
            if (missionVariables.CT_thargonCount == 3) return true;
            break;
        case "EQ_CT_DRONE_3":
            if (missionVariables.CT_thargonCount == 2) return true;
            break;
        case "EQ_CT_DRONE_4":
            if (missionVariables.CT_thargonCount == 1) return true;
            break;
        case "EQ_CT_CONVERT":
            if (missionVariables.CT_thargonCount < 5 && missionVariables.CT_thargonCargo > 0) return true;
            break;
        case "EQ_AMS_1":
            if (missionVariables.amCount == 5) return true;
            break;
        case "EQ_AMS_2":
            if (missionVariables.amCount == 4) return true;
            break;
        case "EQ_AMS_3":
            if (missionVariables.amCount == 3) return true;
            break;
        case "EQ_AMS_4":
            if (missionVariables.amCount == 2) return true;
            break;
        case "EQ_AMS_5":
            if (missionVariables.amCount == 1) return true;
            break;
        case "EQ_AMS_6":
            if (missionVariables.amCount == 0) return true;
            break;
    }
    return false;
}