"use strict";
this.name = "armoury_cutpurseMissile.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Ship script for the cutpurse missile";
this.version = "1.00";

this.performSteal = function () {
	if (!this.ship.target || !this.ship.target.isValid || this.ship.target.isCargo || this.ship.target.isWeapon || this.ship.target.isRock || this.ship.target.isThargoid) {
		return;
	}
	this.ship.target.script.$armoury_cpTimer = this.$armoury_cpTimer;
	this.ship.target.script.$armoury_cpAction = this.$armoury_cpAction;
	if (this.ship.target.isPlayer) {
		this.ship.target.script.$armoury_cpPlayerDump = this.$armoury_cpPlayerDump;
	}
	this.ship.target.script.$armoury_cpTimer();
}

this.$armoury_cpTimer = function () {
	if (this.$armoury_dumpTimer) {
		return;
	}
	this.$timerDelay = Math.random() * 10;
	this.$armoury_dumpTimer = new Timer(this, this.$armoury_cpAction, this.$timerDelay);
}

this.$armoury_cpAction = function () {
	if (this.ship.isPlayer) {
		player.consoleMessage("Emergency cargo dump triggered", 4);
		this.$armoury_playerTimer = new Timer(this, this.$armoury_cpPlayerDump, 0, 0.51);
	} else {
		this.ship.setAI("armoury_ejectCargoAI.plist");
	}
}

this.$armoury_cpPlayerDump = function () {
	if (player.ship.cargoSpaceUsed === 0 || Math.random() < 0.1) {
		this.$armoury_playerTimer.stop();
		delete this.$armoury_dumpTimer;
		delete this.$armoury_playerTimer;
		delete this.$armoury_cpTimer;
		delete this.$armoury_cpAction;
		return;
	} else {
		player.ship.dumpCargo();
	}
}