"use strict";
this.name = "missileRack";
this.author = "Thargoid, with optimisation by Eric Walsh";
this.copyright = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0 license with clauses - see readme.txt.";
this.description = "Script for missile rack";
this.version = "1.0";

this.rackRefresh = function () {
	this.launchRack = this.ship.scriptInfo.launchingRack;
	switch (this.launchRack) {
		case "EQ_IRACK_0_MISSILE":
		case "EQ_NRACK_0_MISSILE":
		case "EQ_HRACK_0_MISSILE":
		case "EQ_SRACK_0_MISSILE":
			{
				player.consoleMessage("Missile rack empty - ejecting.", 6);
				player.ship.spawnOne("missileRack_spentRack");
				break;
			}
		default:
			{
				player.ship.awardEquipmentToCurrentPylon(this.launchRack);
				break;
			}
	}
}

// functionality for stun missiles	

this.performStun = function () {
	if (!this.ship.target ||
		!this.ship.target.isValid ||
		!this.ship.target.isShip ||
		this.ship.target.isPlayer ||
		this.ship.target.isStation ||
		this.ship.target.isRock ||
		this.ship.target.isCargo) {
		return;
	} else {
		this.ship.target.setAI("armoury_stunnedAI.plist");
	}
}